home *** CD-ROM | disk | FTP | other *** search
- :
- # @(#) first96.src 1.20 88/07/05
- #
- # Copyright (C) The Santa Cruz Operation, 1986.
- # This Module contains Proprietary Information of
- # The Santa Cruz Operation, Microsoft Corporation
- # and AT&T, and should be treated as Confidential.
- #
- # FIRSTTIME
- # 12/03/85 - Version 2.2
- # 1/20/86 - Version 2.3
- # 1/26/86 - Version 2.4
- #
- PATH=/bin:/etc
- HZ=50
- export PATH HZ
- lbl=./tmp/_lbl
- label="$lbl/prd=xos/typ=386AT/rel=2.3.2d/vol="
-
- # Return code definitions
- : ${OK=0} ${FAIL=1} ${STOP=10} ${HALT=11}
-
- trap 'echo "Installation aborted" >&2; exit $FAIL' 1 2 3 15
- cd /
- umask 0
-
- echo "
- Xenix System V Hard Disk Installation
-
- Checking root file system."
- if [ -b /dev/scratch ]; then
- fsck -t /dev/scratch /dev/root
- else
- fsck /dev/root
- fi
-
- set="Operating System (Installation)"
-
- [ -f /etc/init.inst ] && mv /etc/init.inst /tmp
-
- cd /tmp
- for script in init.*
- do [ -x $script ] || continue
- status=$OK
- /tmp/$script
- status=$?
- mv /tmp/$script /tmp/_$script
- case $status in
- $OK) : All is well ;;
- $STOP) break ;;
- $HALT) /etc/haltsys ;;
- $FAIL) echo "Error: $script failed" >&2;;
- esac
- done
- cd /
-
- # install the real root .profile off of the B floppies
- mv /.profile /tmp/prof
- trap 'echo "Installation aborted">&2;mv /tmp/prof /.profile;exit $FAIL' 1 2 3 15
-
- key=B
- set="Operating System (Basic Utilities)"
- label="$lbl/prd=xos/typ=n*86/rel=*/vol="
- for i in 1 2 3 4 5 6 7
- do
- while echo "\nInsert $set volume $key$i\007\nand press <RETURN> \c"
- do
- read x
- case `tar tqnfb /dev/rinstall 10 $lbl 2>/dev/null` in
- $label${key}0$i)
- until tar xfb /dev/rinstall 10
- do echo "Extraction error: try again? (y/n) \c" >&2
- read yn
- [ "$yn" = n ] && break
- done
- cd /tmp
- for script in init.*
- do [ -x $script ] || continue
- status=$OK
- /tmp/$script
- status=$?
- mv /tmp/$script /tmp/_$script
- case $status in
- $OK) : All is well ;;
- $STOP) break 3 ;;
- $HALT) /etc/haltsys ;;
- $FAIL) echo "Error: $script failed" >&2;;
- esac
- done
- cd /
- break ;;
- *)
- echo "\nError: incorrect volume in drive!"
- esac
- done
- done
- cd /
- echo "\nSetting up system directories.\n"
- if [ -d /lost+found ]; then
- # make 62 entries (1k block)
- for i in 1 2 3 4 5 6 7 8
- do for j in 1 2 3 4 5 6 7
- do > /lost+found/x$i$j
- done
- done
- for i in 1 2 3 4 5 6
- do > /lost+found/xz$i
- done
- rm -f /lost+found/x??
- else
- echo "
- It appears that the Xenix Operating System Set was not
- successfully installed. Check the release notes to confirm
- that you have the proper number of floppies and re-install.\n"
- exit $FAIL
- fi
-
- # Set up mnttab for df command
- echo 'root /' | /etc/setmnt
-
- echo "
- You have now installed the Xenix minimum run time system.
- The run time system will support most application programs,
- so you may choose to stop the installation now and preserve
- the maximum available disk space for user files.
-
- The remainder of the Xenix Operating System, Development
- System and Text Processing sets are installable in small
- packages. You may either install each set entirely or
- selectively choose which packages of the set to install.
-
- Current Disk Usage
- ------------------------------------------------------
- `df -v`
- ------------------------------------------------------"
-
- while echo "
- 1. Stop installation now
- 2. Continue installation
-
- Enter an option: \c" >&2
- do read x
- case $x in
- 1) break ;;
- 2) trap '' 2; custom; trap 2; break ;;
- *) echo "Enter either '1' or '2'" >&2 ;;
- esac
- done
-
- echo "
- Hard disk installation complete.
-
- AFTER you see the message: '** Normal System Shutdown **'
- reboot the system by opening the floppy door and pressing any key.
- The screen will clear and you will see the boot message:
-
- Boot
- :
-
- Press <RETURN> to boot off the hard disk\n"
-